Bug 488225 - Some applications don't print on a shared printer
Some applications don't print on a shared printer
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gtk2 (Show other bugs)
10
All Linux
low Severity medium
: ---
: ---
Assigned To: Matthias Clasen
Fedora Extras Quality Assurance
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-03-03 05:47 EST by antonio montagnani
Modified: 2009-12-18 03:56 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-18 03:56:28 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Error when Firefox tries to print (4.79 KB, text/plain)
2009-03-03 05:47 EST, antonio montagnani
no flags Details
Troubleshooting file from Firefox print (6.84 KB, text/plain)
2009-03-03 06:15 EST, antonio montagnani
no flags Details
Troubleshoot.txt file (11.39 KB, text/plain)
2009-03-03 06:48 EST, antonio montagnani
no flags Details
cupsd.conf (1.74 KB, application/x-extension-conf)
2009-03-03 17:43 EST, antonio montagnani
no flags Details
printers.conf (649 bytes, application/x-extension-conf)
2009-03-03 17:45 EST, antonio montagnani
no flags Details

  None (edit)
Description antonio montagnani 2009-03-03 05:47:54 EST
Created attachment 333863 [details]
Error when Firefox tries to print

Description of problem:

Some applications (i.e.Firefox, Gimp, Scribus) don't print on a network shared printer.Gedit calls for authorization
Test page is fine
Thunderbird, Acrobat print fine

Version-Release number of selected component (if applicable):
cups-1.3.9-8.fc10.i386

How reproducible:
always

Steps to Reproduce:
1.Open Firefox
2.Print a page
3.
  
Actual results:
No print, and Firefox opens the printing page correctly

Expected results:
Print of page

Additional info:
Printer is a HP P1005 connected to a Vista computer
Comment 1 Tim Waugh 2009-03-03 06:04:57 EST
Please attach the troubleshoot.txt file you get from the printing troubleshooter, using Firefox to print a page when you get to the test page screen.
Comment 2 antonio montagnani 2009-03-03 06:15:39 EST
Created attachment 333867 [details]
Troubleshooting file from Firefox print

As per your request..
Anyway, I didn't see any job in the printer page....
Comment 3 antonio montagnani 2009-03-03 06:27:03 EST
Forgot to say that applications from Openoffice bunch print fine
Comment 4 Tim Waugh 2009-03-03 06:40:13 EST
That's not a troubleshoot.txt file.  Please attach the actual troubleshoot.txt file it asks you to save on the very last screen.  What I need is information from the CUPS server, so it doesn't matter that you don't see the job listed when you try to print.
Comment 5 antonio montagnani 2009-03-03 06:48:23 EST
Created attachment 333869 [details]
Troubleshoot.txt file

Here it is...sorry for the misunderstandingtroubleshoot
Comment 6 Tim Waugh 2009-03-03 07:52:23 EST
Please attach /etc/cups/cupsd.conf and /etc/cups/printers.conf.  Thanks.
Comment 7 antonio montagnani 2009-03-03 17:43:44 EST
Created attachment 333945 [details]
cupsd.conf

hope it can helphttps://login.facebook.com/login.php?login_attempt=1
Comment 8 antonio montagnani 2009-03-03 17:45:36 EST
Created attachment 333946 [details]
printers.conf
Comment 9 Tim Waugh 2009-03-04 09:14:35 EST
The problem is that a previously submitted job required authentication and this had not yet been provided.  The auth-info-required IPP attribute gets set on the queue, and is removed when the auth-info is provided.

The CUPS scheduler rejects new jobs that do not provide the required auth-info fields when auth-info-required is present.

So what's the solution?  One solution is for the GTK+ print backend to implement an authentication dialog.  Not sure yet if this is what is needed.
Comment 10 Tim Waugh 2009-03-04 10:34:19 EST
I've asked on the cups development mailing list for a clarification of this behaviour.
Comment 11 Tim Waugh 2009-03-09 10:46:02 EDT
Yes, the solution is for the GTK+ print backend to implement an authentication dialog, and work is underway to do this.
Comment 12 Bug Zapper 2009-11-18 06:16:05 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 13 Bug Zapper 2009-12-18 03:56:28 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.